
calculatrice : main.o lexi.o gram.o
	echo $@
	echo $?
	echo $<
	${CC} -o $@ main.o lexi.o gram.o -lfl

lexi.c : lexi.l gram.h
	${LEX} -t lexi.l > lexi.c

gram.h gram.c : gram.y
	${YACC} -d gram.y
	mv y.tab.c gram.c
	mv y.tab.h gram.h

test : calculatrice
	calculatrice <expressions.txt >results.txt
	diff expectedresults.txt results.txt 

clean :
	rm -f calculatrice *.o gram.h gram.c lexi.c results.txt *% *~

